For Developers
Update Team
PATCH https://ed.link/api/v2/teams/:team_id
Updates mutable fields on a team. Requires teams.update system permission. Edlink admins and team owners may update additional fields such as mfa_required.
Common Request Body Fields
| Field | Type | Description |
|---|---|---|
name | string | Team display name |
alias | string | URL-safe team identifier |
description | string | Team description |
icon_url | string | Team icon URL |
banner_url | string | Team banner URL |
website | string | Public website URL |
street_address | string | Street address |
city | string | City |
state | string | State or province |
zip | string | Postal code |
country | string | Country |
technical_contacts | string | Technical contact emails |
support_contacts | string | Support contact emails |
mfa_required | boolean | Require MFA for team members (owners/admins) |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}`,
{
name: 'Edlink University',
website: 'https://edu.example.com'
},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "d078e26d-9fcc-4f2b-b19f-430891906061",
"created_date": "2020-02-14T17:20:06.254Z",
"updated_date": "2026-08-11T18:45:00.000Z",
"name": "Edlink University",
"type": "district",
"state": "active",
"alias": "edu",
"website": "https://edu.example.com",
"verified": true
}
}
